Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class CatalinaManager

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.apache.catalina.startup.CatalinaManager

public final class CatalinaManager
extends javax.management.NotificationBroadcasterSupport
implements CatalinaManagerMBean, javax.management.MBeanRegistration

Implementation of the Catalina JMX MBean as a wrapper of the Catalina class. To be used, the JAR containing this MBean should contain all the classes which are present in bootstrap.jar. The setPath(String path) method should be used to set the correct path where the Tomcat distribution is.

Version:
  $Revision: 1.3 $
Author:
  Remy Maucherat

Fields inherited from interface org.apache.catalina.startup.CatalinaManagerMBean
`NAME, OBJECT_NAME, STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`CatalinaManager()`

Method Summary
`void` | `destroy()` Destroy servlet container (if any is running).
`java.lang.String` | `getName()` Retruns the Catalina component name.
`java.lang.String` | `getPath()` Path accessor.
`int` | `getState()` Returns the state.
`java.lang.String` | `getStateString()` Returns a String representation of the state.
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `setPath(java.lang.String path)` Config file path mutator.
`void` | `start()` Start the servlet container.
`void` | `stop()` Stop the servlet container.

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalinaManager

    public CatalinaManager()

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    preRegister in interface javax.management.MBeanRegistration

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    postRegister in interface javax.management.MBeanRegistration

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    preDeregister in interface javax.management.MBeanRegistration

### postDeregister

    public void postDeregister()

  Specified by:
    postDeregister in interface javax.management.MBeanRegistration

### getName

    public java.lang.String getName()

  Retruns the Catalina component name.
  Specified by:
    getName in interface CatalinaManagerMBean

### getState

    public int getState()

  Returns the state.
  Specified by:
    getState in interface CatalinaManagerMBean

### getStateString

    public java.lang.String getStateString()

  Returns a String representation of the state.
  Specified by:
    getStateString in interface CatalinaManagerMBean

### getPath

    public java.lang.String getPath()

  Path accessor.
  Specified by:
    getPath in interface CatalinaManagerMBean

### setPath

    public void setPath(java.lang.String path)

  Config file path mutator.
  Specified by:
    setPath in interface CatalinaManagerMBean

### start

    public void start()
               throws java.lang.Exception

  Start the servlet container.
  Specified by:
    start in interface CatalinaManagerMBean

### stop

    public void stop()

  Stop the servlet container.
  Specified by:
    stop in interface CatalinaManagerMBean

### destroy

    public void destroy()

  Destroy servlet container (if any is running).
  Specified by:
    destroy in interface CatalinaManagerMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.